Skip to main content
POST
Get deposit/withdraw history

Rate limit

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
request
string
required

Request signature

Example:

"{{request}}"

nonce
string
required

Unique request identifier

Example:

"{{nonce}}"

transactionMethod
enum<integer>

Method. Example: 1 to display deposits / 2 to display withdraws. Do not send this parameter in order to receive both deposits and withdraws.

Available options:
1,
2
Example:

1

ticker
string

Currency's ticker. Example: BTC

Example:

"BTC"

address
string

Can be used for filtering transactions by specific address.

Example:

"3ApEASLcrQtZpg1TsssFgYF5V5YQJAKvuE"

memo
string

Can be used for filtering transactions by specific memo

Example:

"48565488244493"

addresses
string[]

Can be used for filtering transactions by specific array of addresses.

Maximum array length: 20
Example:
unique_id
string

Can be used for filtering transactions by specific unique id

Example:

"24529041"

limit
integer
default:50

LIMIT is a special clause used to limit records a particular query can return. Default: 50, Min: 1, Max: 500

Required range: 1 <= x <= 500
Example:

100

offset
integer
default:0

Use the OFFSET clause to return entries starting from a particular line.

Required range: 0 <= x <= 10000
Example:

0

status
integer[]

Can be used for filtering transactions by status codes.

⚠️ Caution: Use this parameter with the appropriate transactionMethod and valid status codes for that method. See the endpoint description above for valid codes. Example: "status": [3,7]

Example:

Response

All validations succeeded and creating transaction is started

limit
integer
offset
integer
records
object[]
total
integer

Total number of transactions, use this for calculating 'limit' and 'offset'